#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1 )
%define		archlinux	%{_arch}-linux-thread-multi
%define		perl_vendorarch	 %{_datadir}/perl5/core_perl/%{archlinux}
#-----------------------------------------------------------------------------
Name		:	perl-Data-Dumper
Version		:	2.173
Release		:	14.8.0.0%{?dist}
Summary		:	Stringified perl data structures, suitable for both printing and eval
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Data::Dumper

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
Given a list of scalars or reference variables, writes out
their contents in perl syntax. The references can also be
objects. The content of each variable is output in a single
Perl statement. Handles self-referential structures correctly.

The return value can be evaled to get back an identical copy
of the original reference structure. (Please do consider the
security implications of eval'ing code from untrusted sources!)

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc Changes
%{_libdir}/perl5/%{perlvers}/core_perl/Data/Dumper.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Data/Dumper/Dumper.so
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
pushd %{buildroot}%{_libdir}/perl5/%{perlvers}/core_perl/
find . -name *.so -exec chmod u+w,+x {} \;
popd

#-----------------------------------------------------------------------------
%changelog
